<head>
    <link rel="stylesheet" href="assets/css/hotel.css" />
  </head>

<div class="flight-search hotel-modify modify-search" ng-controller="hotelSearchCtrl">
  <div>
    <!-- <i class="las la-times-circle refine-search-close" style="    font-size: 28px !important;
    
	    color: #d91718;
    cursor: pointer;"></i> -->
    <button type="button" class="refine-search-close v-btn v-btn--flat v-btn--icon v-btn--round theme--light v-size--default pink--text">
      <span class="v-btn__content"><i aria-hidden="true" class="fa fa-close" style="font-size: 16px;"></i></span>
    </button>
    </div>
    <form  id="hotelSearchfrom" ng-submit="hotelsSearchForm(hotelSearch.$valid)">
    <div class="row">
      <div class="textleft row py-5">
        <div class="col-xs-12 col-sm-6 col-md-4 textleft">
        <div class="form-group">
            <span class="size10"><b>Destination City</b></span>
            <div ng-class="{'has-error' :hotelSearch.search.$invalid && submitted}">
            <span role="status" aria-live="polite"
            class="ui-helper-hidden-accessible ng-pristine ng-untouched ng-valid ng-valid-required"></span>
            <input ng-model="hotelSearch.city" type="text" id="from_city" required="" name="from_city"
                class="form-control ui-autocomplete-input valid" placeholder="Flying from" autofocus="" 
                onkeyup="this.value=this.value.replace(/[^A-Za-z ]/g,'');"/>
            <!-- <div ng-class="{'has-error' :hotelSearch.search.$invalid && submitted}">
                <input id="search" name="search" ng-model="hotelSearch.place" placeholder="Destination City" autocomplete="off"
                    type="text" class="form-control mb15" required autofocus /> -->
            </div>
            </div>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-2 textleft">
            <div class="form-group">
                <span class="size10"><b>Check In</b></span>
                <div ng-class="{'has-error' :hotelSearch.checkIn.$invalid && submitted}">
                    <input id="checkIn" name="checkIn" class="form-control date-picker mb15"
                    autocomplete="off" date-range-picker options="flightop" ng-model="hotelSearch.checkIn" ng-selected="calcnit()" placeholder="Check In" ng-change="onCheckinChange()"
                           required="" autofocus />
                </div><span ng-if="nights>0" class="ni8c">({{nights}} Nights)</span>
              </div>
        </div>

        <div class="col-xs-12 col-sm-6 col-md-2 textleft">
            <div class="form-group">
                <span class="size10"><b>Check Out</b></span>
                <div ng-class="{'has-error' :hotelSearch.checkOut.$invalid && submitted}">
                  <input id="checkOut"  class="form-control date-picker mb15" ng-min="hotelSearch.checkOut" ng-selected="calcnit()" name="checkOut" ng-model="hotelSearch.checkOut" placeholder="Check Out" autocomplete="off"
                  date-range-picker options="checkoutdate" required="" autofocus />
              </div>
              </div>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-2 textleft">
            <div class="form-group">
                <span class="size10"><b>Residence Country</b></span>
                <div ng-class="{'has-error' :hotelSearch.country.$invalid && submitted}">
                <select name="country" id="country"
                  class="form-control mb15 ng-pristine ng-untouched ng-valid"
                  ng-model="hotelSearch.countryOfResidence"
                   required>
                  <option value="">Country of residence</option>
                  <option value="{{country.code}}" ng-repeat="country in countryList">{{country.name}}</option>

                  </select>
                </div>
              </div>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-2 textleft">
            <div class="form-group">
                <span class="size10"><b>Nationality</b></span>
                <div ng-class="{'has-error' :hotelSearch.nationality.$invalid && submitted}">
                <select name="nationality" id="nationality"
                  class="form-control mb15 ng-pristine ng-untouched ng-valid"
                  ng-model="hotelSearch.nationality"
                   required>
                  <option value="">Nationality</option>
                  <option value="{{nationality.code}}" ng-repeat="nationality in nationalityList">{{nationality.name}}</option>

                  </select>
                </div>
              </div>
        </div>
      </div>
      <div class="textleft row pb-5">
        <div class="col-md-2">
            <div class="form-group">
                <span class="size10"><b>Room</b></span>
                <div ng-class="{'has-error' :room.$invalid && submitted}">
                  <select class="form-control input-sm mb15" name="room" id="room"  ng-model="room"
							ng-change="roomAvailanceInput()" ng-options="room for room in roomCount">
								</select>
                <!-- <select class="form-control mb15" name="room" id="room"  ng-model="room" ng-change="roomAvailanceInput()">
                    <option value=1>1</option
                    ><option value=2>2</option
                    ><option value=3>3</option
                    ><option value=4>4</option
                    ><option value=5>5</option
                    ><option value=6>6</option
                    >
                   
                  </select> -->
                  </div>
                </div>
        </div>
        <div class="col-md-7">
          <div class="adult-row" ng-repeat="room in hotelSearch.roomBean">
            <div class="form-group">
                <span class="size10"><b>Room</b></span>
                <div ng-class="{'has-error' :room.roomno{{$index}}.$invalid && submitted}">
                    <input id="roomno{{$index}}" readonly name="roomno{{$index}}" ng-model="room.roomno" autocomplete="off"
                            type="text" class="form-control mb15" required autofocus value="9"/>
                </div>
            </div>
            <div class="form-group">
                <span class="size10"><b>Adult</b></span>
                <div ng-class="{'has-error' :room.adultCount{{$index}}.$invalid && submitted}">
                  <select class="form-control mb15 " name="adultCount{{$index}}" id="adultCount{{$index}}" ng-model="room.adultCount">
                  <option value=1>1</option
                  ><option value=2>2</option
                  ><option value=3>3</option
                  ><option value=4>4</option
                  >
                  <!-- <option value="5">5</option
                  ><option value="6">6</option
                  ><option value="7">7</option
                  ><option value="8">8</option
                  ><option value="9">9</option> -->
                </select>
                </div>
              </div>
              <div class="form-group">
                <span class="size10"><b>Child</b></span>
                  <div ng-class="{'has-error' :room.childCount{{$index}}.$invalid && submitted}">
                  <select class="form-control mb15" 
                   name="childCount{{$index}}" id="childCount{{$index}}" ng-model="room.childCount" ng-change="childAgeIteration($index,room.childCount)">
                  <option value=0>0</option
                  ><option value=1>1</option
                  ><option value=2>2</option
                  >
                  <!-- <option value="3">3</option
                  ><option value="4">4</option
                  ><option value="5">5</option
                  ><option value="6">6</option
                  ><option value="7">7</option
                  ><option value="8">8</option
                  ><option value="9">9</option> -->
                </select>
                </div>
              </div>
              <div class="form-group" >
                  <div ng-repeat="singlechild in room.childrens[0].childBeans">
                <span class="size10"><b>Child Age</b></span>
                <div ng-class="{'has-error' :singlechild.age{{$index}}.$invalid && submitted}">
                  <select class="form-control mb15" name="age{{$index}}" id="age{{$index}}" ng-model="singlechild.age">
                  <!-- <option value="0">0</option -->
                  ><option value=1>1</option
                  ><option value=2>2</option
                  ><option value=3>3</option
                  ><option value=4>4</option
                  ><option value=5>5</option
                  ><option value=6>6</option
                  ><option value="7">7</option
                  ><option value="8">8</option
                  ><option value="9">9</option
                  ><option value="10">10</option>
                  ><option value="11">11</option>
                  >
                  <!-- <option value="12">12</option>
                  ><option value="13">13</option>
                  ><option value="14">14</option>
                  ><option value="15">15</option>
                  ><option value="16">16</option>
                  ><option value="17">17</option>
                  ><option value="18">18</option> -->
                </select>
                </div>
                </div>
              </div>
          </div>
        </div>
        <div class="textleft row pb-5" ng-if="showError">
            <div class="col-md-4 textleft">
                <p style="color: red;">Passenger Limit Exceeds Maximum allowed size 9.</p>
            </div>
          </div>
        <div class="col-xs-12 col-sm-2 col-md-3 col-lg-3 tex-right mt-1">
            <button type="submit" id="flight-search" style="width: 100%;" class="btn btn-lg custom-search-btn">
                SEARCH
              </button>
        </div>
      </div>
    </div>
    </form>
  </div>

      

<style>
  	.ni8c{
		color: #635d5d;
    font-weight: 600;
    float: right;
	}
<!-- 	.form-control{
color:black !important;
}

.custom-search-btn {
  background: linear-gradient(#d91718, #d91718) !important;
  border: 1px solid #d91718 !important;
  font-family: "Montserrat", sans-serif !important;
  font-size: 13px !important;
  font-weight: 700 !important;
  color: #fff !important;
  margin-top: 9px !important;
}

.btn:hover {
  color: black !important;
  background-color: red !important
}

.daterangepicker table {
  width: 100% !important;
  margin: 0 !important;
  font-size: 12px !important;
}
.theme--light.v-btn.v-btn--icon {
  color: rgb(217 23 24)!important;
}
button:focus {
  outline: none;
}

.btn-success {
  color: #fff !important;
  background-color: red !important;
  border-color: red !important;
}
-->
.checkbox-label.home-cb
{
font-size:
13px;
color:
#fff;
line-height:
16px;
font-weight:
600;
margin-bottom:
15px;
}
/* .checkbox-label
.checkbox-custom
{
position:
absolute;
top:
0px;
left:
0px;
height:
18px;
width:
18px;
transform:
scale(0.85);
background-color:
transparent;
border-radius:
4px;
transition:
all
0.3s
ease-out;
-webkit-transition:
all
0.3s
ease-out;
-moz-transition:
all
0.3s
ease-out;
-ms-transition:
all
0.3s
ease-out;
-o-transition:
all
0.3s
ease-out;
border:
2px
solid
white;
} */
.remove-trip-btn:hover {
background-color:
#2195c3
 !important;
}
.add-trip-btn:hover {
background-color:
#2195c3
 !important;
}
.daterangepicker.dropdown-menu
{
max-width:
493px
 !important;
z-index:
3000
 !important;

}


.daterangepicker.dropdown-menu.single{
max-width:fit-content !important;
}
</style>

<script>
$(document).ready(function () {
  $('[data-toggle="tooltip"]').tooltip();
  var owl = $('.owl-carousel');
  owl.owlCarousel({
    items: 4,
    margin: 15,

    center: true,
    nav: false,
    loop: true,
    pagination: false,
    navigation: true,
    autoplay: true,
    autoplayTimeout: 2000,
    autoplayHoverPause: true,

  });
  $(".owl-item", ".owl-carousel").hover(function () {
    let parent = $(this).closest('.owl-carousel');
    $(".owl-item", parent).removeClass('owl-active').addClass('grayscale-item');
    $(this).removeClass('grayscale-item').addClass('owl-active');
  })
  $('.owl-carousel').mouseleave(function () {
    $(".owl-item", ".owl-carousel").removeClass('owl-active').removeClass('grayscale-item');
  });

  $(window).scroll(function () {
    let scrollTop = $(document).scrollTop();
    if (scrollTop >= 1200) {
      $('.services_offered_owl').trigger('stop.owl.autoplay')
    } else {
      $('.services_offered_owl').trigger('play.owl.autoplay', [2000])
    }
    
  });



  $('.dropdown').hover(function (event) {
    event.preventDefault();
    var dropdown = $(this).closest(".dropdown");
    $(dropdown).toggleClass("open");
  });

  $('[data-toggle="tab"]').click(function () {

    let _href = $(this).attr("data-flightType");
    if (_href === "oneWay") {
      $('.flyingto').slideUp()
    } else {
      $('.flyingto').slideDown()
    }
  })

  $("[data-search-widget]").click(function () {
    $("[data-search-widget]").removeClass('active');
    $(this).addClass('active');

  });

});
</script>

